# Allow variables list

| Field name                                    | Notes                                                                                                                                                       | Example                               |
| --------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------- |
| id                                            | Shopify internal order ID                                                                                                                                   | 450789469                             |
| name                                          | Shopify order name                                                                                                                                          | #10001                                |
| <p>note<br>​</p>                              | The value of the special instructions / notes field                                                                                                         |                                       |
| delivery.customer.name                        |                                                                                                                                                             | Andrew Cargill                        |
| delivery.customer.first\_name                 | <p>The first name of the person associated with the delivery address.<br>​</p>                                                                              | Andrew                                |
| delivery.customer.last\_name                  | <p>The last name of the person associated with the delivery address.<br>​</p>                                                                               | Cargill                               |
| delivery.address.company\_name                | <p>The company of the person associated with the delivery address.<br>​</p>                                                                                 |                                       |
| delivery.address.address\_line\_1             | <p>The street address of the delivery address.<br>​</p>                                                                                                     |                                       |
| <p>delivery.address.address\_line\_2<br>​</p> | <p>An optional additional field for the street address of the delivery address.<br>​</p>                                                                    |                                       |
| <p>delivery.address.city<br>​</p>             | <p>The city, town, or village of the delivery address.<br>​</p>                                                                                             |                                       |
| <p>delivery.address.country<br>​</p>          | <p>The name of the country of the delivery address.<br>​</p>                                                                                                |                                       |
| <p>delivery.address.region<br>​</p>           | <p>The name of the region (province, state, prefecture, …) of the delivery address.<br>​</p>                                                                |                                       |
| <p>delivery.address.postal\_code<br>​</p>     | <p>The postal code (zip, postcode, Eircode, …) of the delivery address.<br>​</p>                                                                            |                                       |
| <p>delivery.address.phone<br>​</p>            | <p>The phone number at the delivery address.<br>​</p>                                                                                                       |                                       |
| <p>delivery.address.latitude<br>​</p>         | <p>The latitude of the delivery address.<br>​</p>                                                                                                           |                                       |
| <p>delivery.address.longitude<br>​</p>        | <p>The longitude of the delivery address.<br>​</p>                                                                                                          |                                       |
| <p>delivery.address.country\_code<br>​</p>    | <p>The two-letter code (<a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2">ISO 3166-1</a> format) for the country of the delivery address.<br>​</p> |                                       |
| <p>delivery.address.region\_code<br>​</p>     | <p>The two-letter abbreviation of the region of the delivery address.<br>​</p>                                                                              |                                       |
| delivery.datetime                             | The date and time the customer selected to receive their order. ISO 8601 format.                                                                            | 2020-07-17T12:30:00+00:00             |
| delivery.start\_datetime                      | The earliest date and time the customer selected to receive their order. ISO 8601 format.                                                                   | <p>2020-07-17T12:30:00+00:00<br>​</p> |
| <p>delivery.end\_datetime<br>​</p>            | The latest date and time the customer selected to receive their order. ISO 8601 format.                                                                     | 2020-07-17T13:00:00+00:00             |
| delivery.note                                 | The variable for our delivery notes feature.                                                                                                                |                                       |

### Pickup details <a href="#h_33cb0d5345" id="h_33cb0d5345"></a>

| Field name                               | Notes                                                                                                                                | <p>Example<br>​</p>       |
| ---------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------ | ------------------------- |
| pickup.address.company\_name             | <p>The company of the person associated with the delivery address.<br>​</p>                                                          | Apple                     |
| pickup.address.address\_line\_1          | <p>The street address of the delivery address.<br>​</p>                                                                              | 767 5th Ave               |
| pickup.address.address\_line\_2          | <p>An optional additional field for the street address of the delivery address.<br>​</p>                                             |                           |
| pickup.address.city                      | <p>The city, town, or village of the delivery address.<br>​</p>                                                                      | New York                  |
| pickup.address.country                   | <p>The name of the country of the delivery address.<br>​</p>                                                                         | United States             |
| <p>pickup.address.country\_code<br>​</p> | The two-letter code ([ISO 3166-1](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) format) for the country of the delivery address. | US                        |
| pickup.address.region                    | <p>The name of the region (province, state, prefecture, …) of the delivery address.<br>​</p>                                         | <p>New York<br>​</p>      |
| pickup.address.postal\_code              | <p>The postal code (zip, postcode, Eircode, …) of the delivery address.<br>​</p>                                                     | <p>10153<br>​</p>         |
| pickup.address.region\_code              | <p>The two-letter abbreviation of the region of the delivery address.<br>​</p>                                                       | <p>NY<br>​</p>            |
| pickup.address.latitude                  | <p>Latitude of pickup location<br>​</p>                                                                                              | <p>53.3736828<br>​</p>    |
| pickup.address.longitude                 | <p>Longitude of pickup location<br>​</p>                                                                                             | <p>-0.0160712<br>​</p>    |
| <p>pickup.datetime<br>​</p>              | <p>The date and time the order should be collected from the merchant. ISO 8601 format<br>​</p>                                       | 2020-07-17T12:15:00+00:00 |
| <p>pickup.date<br>​</p>                  | YYYY-MM-DD                                                                                                                           | 2020-06-22                |
| pickup.time                              | HH:MM                                                                                                                                | 12:30                     |
| pickup.address.custom\_attributes\_1     |                                                                                                                                      |                           |
| pickup.address.custom\_attributes\_2     |                                                                                                                                      |                           |
| pickup.address.custom\_attributes\_3     |                                                                                                                                      |                           |

## Items <a href="#h_ac953b600d" id="h_ac953b600d"></a>

| Field name           | Notes                                                                                                                                                      | Example               |
| -------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------- |
| id                   | The ID of the item.                                                                                                                                        | <p>669751112<br>​</p> |
| price                | <p>The price of the item before discounts have been applied in the shop currency.<br>​</p>                                                                 | 199.99                |
| grams                | <p>The weight of the item in grams.<br>​</p>                                                                                                               | 500                   |
| <p>quantity<br>​</p> | <p>The number of items that were purchased.<br>​</p>                                                                                                       | 5                     |
| product\_id          | <p>The ID of the product that the line item belongs to. Can be null if the original product associated with the order is deleted at a later date.<br>​</p> | 7513685               |
| sku                  | <p>The item's SKU (stock keeping unit).<br>​</p>                                                                                                           | IPod-342-n            |
| title                | <p>The title of the product.<br>​</p>                                                                                                                      | <p>iPod Nano<br>​</p> |
| variant\_id          | <p>The ID of the product variant.<br>​</p>                                                                                                                 | 4264112               |
| variant\_title       | <p>The title of the product variant.<br>​</p>                                                                                                              | <p>Pink<br>​</p>      |
| vendor               | <p>The name of the item's supplier.<br>​</p>                                                                                                               | Apple                 |
| <p>name<br>​</p>     | <p>The name of the product variant.<br>​</p>                                                                                                               | iPod Nano - Pink      |

## Settings <a href="#h_41d01a11db" id="h_41d01a11db"></a>

| Field name                       | Notes                                                                               | Example |
| -------------------------------- | ----------------------------------------------------------------------------------- | ------- |
| settings.signature\_required     |                                                                                     | true    |
| settings.min\_age                |                                                                                     | 21      |
| settings.notifications\_enabled  |                                                                                     | false   |
| settings.courier\_rates\_enabled | Whether the merchants want to use dynamically generated rates or manually configure | true    |

## Courier <a href="#h_d51014ec09" id="h_d51014ec09"></a>

| Field name                      | Notes                                                                 | Example |
| ------------------------------- | --------------------------------------------------------------------- | ------- |
| <p>courier.delivery.id<br>​</p> | <p>The last mile couriers unique identifier for the delivery<br>​</p> | 100001  |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapiet.com/last-mile-api/allow-variables-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
